package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mosty.base.model.dto.qwzx.AppSearchQuery;
import com.mosty.base.model.entity.jcgl.TbJcglJz;
import com.mosty.base.model.query.jcgl.TbJcglJzQuery;
import com.mosty.base.model.vo.jcgl.TbJcglJzAllVo;
import com.mosty.base.model.vo.jcgl.TbJcglJzVo;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author zengbo
 * @since 2022-06-30
 */
public interface TbJcglJzService {

    @ApiOperation("分页查询警组")
    IPage<TbJcglJzAllVo> queryList(TbJcglJzQuery jz);

    @ApiOperation("根据ID查询警组")
    TbJcglJzAllVo selectById(String id);

    @ApiOperation("添加警组")
    int saveJz(TbJcglJzAllVo jz);

    @ApiOperation("修改警组")
    int updateJz(TbJcglJzAllVo jz);

    @ApiOperation("批量删除警组")
    boolean deleteBatch(List<String> list);

    @ApiOperation("app查询警组信息")
    Page<TbJcglJzAllVo> selectJzList(AppSearchQuery dto);

    @ApiOperation("同步警组器械")
    void tbJzQx();
}
